## org.hibernate.event.spi
Class PostInsertEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.PostInsertEvent

All Implemented Interfaces:
  Serializable

    public class PostInsertEvent

extends AbstractEvent

Occurs after inserting an item in the datastore

See Also:
  Serialized Form

Constructor Summary
`PostInsertEvent(Object entity, Serializable id, Object[] state, EntityPersister persister, EventSource source)`

Method Summary
`Object` `getEntity()`
`Serializable` `getId()`
`EntityPersister` `getPersister()`
`Object[]` `getState()`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostInsertEvent

    public PostInsertEvent(Object entity,
                           Serializable id,
                           Object[] state,
                           EntityPersister persister,
                           EventSource source)

Method Detail

### getEntity

    public Object getEntity()

### getId

    public Serializable getId()

### getPersister

    public EntityPersister getPersister()

### getState

    public Object[] getState()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.